<?php

$config = array(
	'EvBasket' => array(
		/**
		 * the content oage id to use as an intro for the basket
		 */
		'pageId' => null,

		/**
		 * BelongsTo Relationships for the BasketItem to dynamically load
		 * So we can nicely contain the data on the basket page
		*/
		'BasketItemBelongsTo' => array(
		),

		/**
		 * Sub Contains for the Basket Item - allows you to customise
		 * the data that is retrieve for a line item.
		 * If empty will default to all the BelongsTo Relationships
		*/
		'BasketItemContains' => array(
		),

		/**
		 * Define how each model can access the data it needs to display on the basket page
		*/
		'BasketItemNamePath' => array(
		),

		/**
		 * name label to use for the grand total row
		 */
		'grandTotalLabel' => 'Grand Total',

		/**
		 * redirects for add / update / delete
		 */
		'redirects' => array(
			'add' => 'basket',		// 'basket' or 'referer'
			'update' => 'basket',	// 'basket' or 'referer'
			'delete' => 'basket'	// 'basket' or 'referer'
		),

		/**
		 * flash message text for each action
		 * respective array passed straight into the flash method
		 */
		'flash' => array(
			'add' => array(),
			'update' => array(),
			'delete' => array(
				'success' => array(
					'title' => 'Item Removed',
					'description' => 'Item has been removed from basket'
				),
				'fail' => array(
					'title' => 'Remove Failed',
					'description' => 'There was a problem removing the item from the basket'
				)
			)
		)
	)
);
